class switch {
	String name;
	String type;
	place position;
}


class linktype {
	String name;
	float raw_capacity;
	float termination_cost;
	float cost_per_unit_distance;
}

class link {
	String name;
	switch l,r;
	"multiset" of linktype  // a "multiset" because we can have more
				// than one of a 2.4 Gb/s link, for example.
	(or, for each linktype, a count of how many physical links to
	use of that type)
}

class network {
	set of switchs
	set of links
}





